## Create Miscategorization `client.intel.miscategorizations.create(MiscategorizationCreateParamsparams, RequestOptionsoptions?): MiscategorizationCreateResponse` **post** `/accounts/{account_id}/intel/miscategorization` Allows you to submit requests to change a domain’s category. ### Parameters - `params: MiscategorizationCreateParams` - `account_id: string` Path param: Identifier. - `content_adds?: Array` Body param: Content category IDs to add. - `content_removes?: Array` Body param: Content category IDs to remove. - `indicator_type?: "domain" | "ipv4" | "ipv6" | "url"` Body param - `"domain"` - `"ipv4"` - `"ipv6"` - `"url"` - `ip?: string | null` Body param: Provide only if indicator_type is `ipv4` or `ipv6`. - `security_adds?: Array` Body param: Security category IDs to add. - `security_removes?: Array` Body param: Security category IDs to remove. - `url?: string` Body param: Provide only if indicator_type is `domain` or `url`. Example if indicator_type is `domain`: `example.com`. Example if indicator_type is `url`: `https://example.com/news/`. ### Returns - `MiscategorizationCreateResponse` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const miscategorization = await client.intel.miscategorizations.create({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(miscategorization.errors); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true } ```